Bug 477183 - dvgrab hangs when no DV payload is found
dvgrab hangs when no DV payload is found
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dvgrab (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Jay Fenlason
BaseOS QE
: OtherQA
Depends On:
Blocks: 499522
  Show dependency treegraph
 
Reported: 2008-12-19 09:24 EST by Olivier Fourdan
Modified: 2014-08-31 19:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:46:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from upstream cvs commit revision 1.6 on v4l2reader.cc (1.28 KB, patch)
2008-12-19 09:24 EST, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Olivier Fourdan 2008-12-19 09:24:23 EST
Created attachment 327451 [details]
Patch from upstream cvs commit revision 1.6 on v4l2reader.cc

Description of problem:

dvgrab can capture  from a USB Video Class (UVC) device that supports DV via the command line option "-V" or "-v4l2".

As documented in the man page, that works only with devices that support DV (such as the ones listed on http://linux-uvc.berlios.de/).

Unfortunately, if no DV data is found in the stream, dvgrab will hang.

Version-Release number of selected component (if applicable):

dvgrab-3.0

How reproducible:

100% reproducible

Steps to Reproduce:
1. Plug a webcam supported by uvcvideo (one that does not do DV otherwise it should work)
2. Try to capture with "dvgrab -V"
  
Actual results:

dvgrab hangs and cannot be interrupted oither by a kill -9 from another terminal/console.

Expected results:

dvgrab display an error and exits cleanly.

Additional info:

This is bug#2337246 upstream:

    http://sourceforge.net/tracker/index.php?func=detail&aid=2337246&group_id=14103&atid=114103

Fixed by this patch 

    http://kino.cvs.sourceforge.net/viewvc/kino/dvgrab/v4l2reader.cc?r1=1.5&r2=1.6
Comment 1 RHEL Product and Program Management 2009-03-26 13:26:10 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 24 errata-xmlrpc 2011-01-13 18:46:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0120.html

Note You need to log in before you can comment on or make changes to this bug.